<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#2B7F88"
    android:textAlignment="center"
    tools:context=".MainActivity">

    <!-- Primer ConstraintLayout -->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/top_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="#08404F"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintWidth_default="percent"
        app:layout_constraintWidth_percent="0.9">

        <TextView
            android:id="@+id/textView2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="@font/cinepolis"
            android:gravity="center"
            android:text="Playpal"
            android:textColor="#FFFFFF"
            android:textSize="50sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.5"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.5" />

        <ImageView
            android:id="@+id/imageView2"
            android:layout_width="120dp"
            android:layout_height="86dp"
            android:layout_marginTop="3dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.0"
            app:srcCompat="@drawable/logo_empresa_log_stica_y_transporte_profesional_rojo_photoroom_png_photoroom" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <!-- Segundo ConstraintLayout -->

    <!-- Tercer ConstraintLayout -->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/second_layout"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="#297880"
        android:layout_marginTop="8dp"
        android:layout_marginBottom="8dp"
        app:layout_constraintBottom_toTopOf="@+id/third_layout"
        app:layout_constraintEnd_toEndOf="@+id/top_layout"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="@+id/top_layout"
        app:layout_constraintTop_toBottomOf="@+id/top_layout">

        <ImageView
            android:id="@+id/imageView"
            android:layout_width="345dp"
            android:layout_height="328dp"
            android:scaleType="centerCrop"
            android:src="@drawable/descarga"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.0" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/third_layout"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="#297880"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="@+id/top_layout"
        app:layout_constraintHorizontal_bias="1.0"
        app:layout_constraintStart_toStartOf="@+id/top_layout"
        app:layout_constraintTop_toBottomOf="@+id/second_layout">

        <!-- TextView para "DETALLES DE LA VENTA" -->

        <TextView
            android:id="@+id/textView3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="4dp"
            android:gravity="center"
            android:text="DETALLES DE LA VENTA"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/textView4"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Fecha y hora: "
            android:textColor="#FFFFFF"
            android:textSize="14sp"
            app:layout_constraintStart_toStartOf="@id/textView3"
            app:layout_constraintTop_toBottomOf="@id/textView3" />

        <!-- TextView para "Asientos seleccionados" -->
        <TextView
            android:id="@+id/textView5"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Asientos seleccionados: "
            android:textColor="#FFFFFF"
            android:textSize="14sp"
            app:layout_constraintStart_toStartOf="@id/textView3"
            app:layout_constraintTop_toBottomOf="@id/textView4" />

        <!-- TextView para "Monto total" -->
        <TextView
            android:id="@+id/textView6"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Monto total: "
            android:textColor="#FFFFFF"
            android:textSize="14sp"
            app:layout_constraintStart_toStartOf="@id/textView5"
            app:layout_constraintTop_toBottomOf="@id/textView5" />

        <TextView
            android:id="@+id/textView7"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="DETALLES DEL COMPRADOR"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintStart_toStartOf="@id/textView6"
            app:layout_constraintTop_toBottomOf="@id/textView6" />

        <TextView
            android:id="@+id/textView4Result"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="13 de Noviembre, 4:00 AM"
            android:textColor="#4CAF50"
            android:textSize="14sp"
            app:layout_constraintStart_toEndOf="@id/textView4"
            app:layout_constraintTop_toTopOf="@id/textView4" />

        <TextView
            android:id="@+id/textView5Result"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="A1, B2 "
            android:textColor="#4CAF50"
            android:textSize="14sp"
            app:layout_constraintStart_toEndOf="@id/textView5"
            app:layout_constraintTop_toTopOf="@id/textView5" />

        <TextView
            android:id="@+id/textView6Result"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="$2300.00"
            android:textColor="#4CAF50"
            android:textSize="14sp"
            app:layout_constraintStart_toEndOf="@id/textView6"
            app:layout_constraintTop_toTopOf="@id/textView6" />

        <EditText
            android:id="@+id/editTextNombre"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:background="#FFFFFF"
            android:hint="Ingrese su nombre"
            android:padding="16dp"
            android:textColorHint="#808080"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="@id/textView7"
            app:layout_constraintStart_toStartOf="@id/textView7"
            app:layout_constraintTop_toBottomOf="@id/textView7" />

        <EditText
            android:id="@+id/editTextTelefono"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:background="#FFFFFF"
            android:hint="Ingrese su número de teléfono"
            android:inputType="phone"
            android:padding="16dp"
            android:textColorHint="#808080"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="@id/textView7"
            app:layout_constraintStart_toStartOf="@id/textView7"
            app:layout_constraintTop_toBottomOf="@id/editTextNombre" />

        <Button
            android:id="@+id/buttonComprar"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="8dp"
            android:backgroundTint="#D9D9D9"
            android:text="Comprar"
            android:textColor="#000000"
            android:textSize="10sp"
            app:layout_constraintEnd_toStartOf="@id/buttonCancelar"
            app:layout_constraintStart_toStartOf="@id/editTextNombre"
            app:layout_constraintTop_toBottomOf="@id/editTextTelefono" />

        <Button
            android:id="@+id/buttonCancelar"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:layout_marginTop="16dp"
            android:backgroundTint="#D9D9D9"
            android:text="Cancelar"
            android:textColor="#000000"
            android:textSize="10sp"
            app:layout_constraintEnd_toEndOf="@id/editTextTelefono"
            app:layout_constraintStart_toEndOf="@id/buttonComprar"
            app:layout_constraintTop_toBottomOf="@id/editTextTelefono" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>